> ## Documentation Index
> Fetch the complete documentation index at: https://terminal-docs.xendit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Terminal Payment Detail



## OpenAPI

````yaml /openapi-spec.yaml get /v1/terminal/payments/{id}
openapi: 3.0.3
info:
  title: Xendit in-person payments API (H2H)
  version: 0.5.1
  description: >-
    API specification for Xendit's in-person payments H2H payment sessions and
    command endpoints.
servers:
  - url: https://terminal-dev.xendit.co
    description: Development
  - url: https://terminal.xendit.co
    description: Live
security: []
paths:
  /v1/terminal/payments/{id}:
    get:
      tags:
        - In-person payments H2H API
      summary: Get Terminal Payment Detail
      operationId: getTerminalPayment
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            pattern: >-
              ^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$
          description: Terminal Payment ID
      responses:
        '200':
          description: Terminal Payment fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Terminal Payment not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BasicAuth: []
components:
  schemas:
    PaymentResponse:
      type: object
      required:
        - payment_id
        - country
        - currency
        - request_amount
        - status
        - updated
        - type
        - payment_details
      properties:
        payment_id:
          type: string
          example: abcd-3254fsd-3242
          pattern: >-
            ^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$
        business_id:
          type: string
          example: abcd-3254fsd-3242
        reference_id:
          type: string
          example: ref-12345
        customer_id:
          type: string
          example: cus-12345
        type:
          type: string
          enum:
            - PAY
            - PRE_AUTH
        country:
          type: string
          enum:
            - ID
            - VN
            - TH
            - MY
          example: ID
        currency:
          type: string
          enum:
            - IDR
            - VND
            - THB
            - MYR
          example: IDR
        request_amount:
          type: number
          minimum: 1
          example: 100000
        status:
          type: string
          enum:
            - SUCCEEDED
            - VOIDED
            - AUTHORIZED
            - REVERSED
          example: SUCCEEDED
        payment_details:
          $ref: '#/components/schemas/PaymentDetails'
        failure_code:
          type: string
          nullable: true
          example: VOID_FAILED
        metadata:
          type: object
          additionalProperties: true
        created:
          type: string
          format: date-time
          example: '2024-11-06T15:32:42Z'
        updated:
          type: string
          format: date-time
          example: '2024-11-06T15:32:42Z'
    ErrorResponse:
      type: object
      required:
        - error_code
        - message
      properties:
        error_code:
          type: string
          enum:
            - INVALID_REQUEST
            - DUPLICATED_REQUEST
            - UNAUTHORIZED
            - CURRENCY_NOT_SUPPORTED
            - TERMINAL_NOT_FOUND
            - COMMAND_NOT_SUPPORTED
          example: INVALID_REQUEST
        message:
          type: string
          example: 'Missing required parameter: terminal_id'
    PaymentDetails:
      type: object
      properties:
        terminal_id:
          type: string
          example: abcd-3254fsd-3242
        payment_method:
          type: string
          enum:
            - ID_INSERT_CARD
            - ID_CONTACTLESS
            - ID_BRIZZI
            - ID_QRIS
            - VN_CARD
            - VN_QR
            - TH_ALIPAY_PLUS
            - TH_WECHATPAY
            - TH_TRUEMONEY
            - TH_LINEPAY
            - TH_SHOPEEPAY
            - TH_SABUYMONEY
            - TH_MAXME
            - TH_CARD
            - TH_BBL_QRCS
            - TH_MULTIIPP
            - TH_QRCODE
            - MY_QR
            - MY_CARD
            - MY_EWALLET
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````